> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Channel Sender

> Update a channel sender



## OpenAPI

````yaml PATCH /api/channel/senders/{id}
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/channel/senders/{id}:
    patch:
      tags:
        - Channel Senders
      summary: Update Channel Sender
      description: Update a channel sender
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: The id of the channel sender
          required: true
          description: The id of the channel sender
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                channelSenderMetadata:
                  type: object
                  properties:
                    userPart:
                      type: string
                      minLength: 1
                      maxLength: 64
                      pattern: >-
                        ^[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+)*$
                      description: The user part of the email (e.g. {userPart}@domain.com)
                    emailReplyTo:
                      type: string
                      nullable: true
                      description: The email reply to of the channel sender
                    emailFromName:
                      type: string
                      nullable: true
                      description: The email from name of the channel sender
                    from:
                      type: string
                      description: The phone number to send sms messages from
                    messageServiceSid:
                      type: string
                      nullable: true
                      description: The Twilio message service sid to send sms messages from
                    friendlyName:
                      type: string
                      nullable: true
                      description: A friendly name for the SMS sender
                  description: The metadata for the channel sender
              required:
                - channelSenderMetadata
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      channelAccountId:
                        type: string
                      name:
                        type: string
                        nullable: true
                      channelSenderMetadata:
                        type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - email
                              - sms
                          userPart:
                            type: string
                            nullable: true
                          emailReplyTo:
                            type: string
                            nullable: true
                          emailFromName:
                            type: string
                            nullable: true
                          from:
                            type: string
                            nullable: true
                          messageServiceSid:
                            type: string
                            nullable: true
                          friendlyName:
                            type: string
                            nullable: true
                        required:
                          - type
                    required:
                      - id
                      - channelAccountId
                      - name
                      - channelSenderMetadata
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````